[arch-commits] Commit in python-redis/repos (2 files)
Felix Yan
felixonmars at archlinux.org
Mon Nov 9 15:38:23 UTC 2020
Date: Monday, November 9, 2020 @ 15:38:23
Author: felixonmars
Revision: 747043
archrelease: copy trunk to community-staging-any
Added:
python-redis/repos/community-staging-any/
python-redis/repos/community-staging-any/PKGBUILD
(from rev 747042, python-redis/trunk/PKGBUILD)
----------+
PKGBUILD | 34 ++++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
Copied: python-redis/repos/community-staging-any/PKGBUILD (from rev 747042, python-redis/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD (rev 0)
+++ community-staging-any/PKGBUILD 2020-11-09 15:38:23 UTC (rev 747043)
@@ -0,0 +1,34 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Karol 'Kenji Takahashi' Woźniak <kenji.sx>
+# Contributor: Pierre Gueth <pierre.gueth at gmail.com>
+
+pkgname=python-redis
+pkgver=3.5.3
+pkgrel=2
+pkgdesc='The Python interface to the Redis key-value store'
+arch=('any')
+url="https://github.com/andymccurdy/redis-py"
+license=('MIT')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest' 'python-mock' 'pifpaf' 'redis')
+source=("https://pypi.io/packages/source/r/redis/redis-$pkgver.tar.gz")
+sha512sums=('eae6ac6b3e0f1366a9c29e5e2d9a5210e4627e62e3006159b1c290f36cd9c1c2c12cafe0944f7a010e04632b517874f230aa9411491993b7ecf2080546217206')
+
+build() {
+ cd "$srcdir"/redis-$pkgver
+ python setup.py build
+}
+
+check() {
+ cd "$srcdir"/redis-$pkgver
+ pifpaf run redis py.test || echo "https://github.com/andymccurdy/redis-py/issues/1073"
+}
+
+package() {
+ cd redis-$pkgver
+ python setup.py install --root="$pkgdir" --optimize=1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list